Orders

Endpoint responsible for creating an order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description of errors

CodeStatusCodeDescription
VTX001500Error on external provider
ORD002400Product out of stock
SOL004400User with email {email} not found
SOL005400Incomplete user registration
SOL006400Document does not match the user registered with email {email}
SOL007400Product not found
SOL011409Invalid single-line quantity and/or repeated numbers

Request fields

FieldTypeDescription
orderCorrelationId*stringOrder correlation identifier.
customer.document*stringCustomer complete document (e.g., CPF) or the first 4 digits.
customer.phone*stringCustomer phone number.
customer.emailstringCustomer email.
customer.firstNamestringCustomer first name.
customer.lastNamestringCustomer last name.
customer.birthDate*datetimeCustomer birthdate
products*arrayList of products associated with the order.
products[].productId*integerProduct identifier.
products[].productCorrelationId*stringProduct correlation identifier.
products[].sharesintegerNumber of shares for the product.
products[].singleLineDataobject or nullBet data for products with line-based games.
products[].singleLineData.durationintegerNumber of draws (duration).
products[].singleLineData.linesarrayList of bet lines.
products[].singleLineData.lines[].isQuickPickbooleanIndicates if the line is Quick Pick (random numbers).
products[].singleLineData.lines[].numbersarray<integer> or nullNumbers manually chosen, or null if Quick Pick.
paymentData.paymentSystemCode*integerOrder paymentSystem code. 1 for PIX;
paymentData.paymentSystemCode.creditCardDataobject or nullCredit card info. Null if paymentSystemCode is PIX
paymentData.paymentSystemCode.creditCardData.holderNamestringCustomer card name
paymentData.paymentSystemCode.creditCardData.cardNumberstringCustomer card number
paymentData.paymentSystemCode.creditCardData.validationCodestringCustomer card validation code
paymentData.paymentSystemCode.creditCardData.dueDatestringCustomer card due date
Body Params
string
required

The partner order correlation id

customer
object
required

The customer personal data

products
array of objects
required

For syndicate, "singleLineData" is not mandatory. For Single Line, "singleLineData" is mandatory and "lines" array must have the same quantity of items than "shares" attribute value.

products*
paymentData
object

The order payment data. May be mandatory depending on you business rule.

boolean
Defaults to false

Flag that indicates whether out-of-stock items will be exchanged.

Headers
string
required

Authentication api key

string
required

A security HMAC to validate the integrity of the request

string
required

Request timestamp. Timestamp with more than 5 minutes will be rejected

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json